---
lang: en
title: 'API docs: openapi-v3.oasenhancer'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-v3
permalink: /doc/en/lb4/apidocs.openapi-v3.oasenhancer.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [OASEnhancer](./openapi-v3.oasenhancer.md)

## OASEnhancer interface

Typically an extension point defines an interface as the contract for extensions to implement

**Signature:**

```typescript
export interface OASEnhancer 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [name](./openapi-v3.oasenhancer.name.md) |  | string |  |

## Methods

|  Method | Description |
|  --- | --- |
|  [modifySpec(spec)](./openapi-v3.oasenhancer.modifyspec.md) |  |


